Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:2.18.16 Regression?: No

Operating System: Windows 10 x64 Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26076

Description

When running i.maxlik from the GRASS7 tools in the Processing toolbox, the command fails when copying the signature file to the

temporary GRASS mapset. The failure is due to the default Windows file path separator (\) being altered to a Linux one (/) by the tool

script.

This has been previously reported here:

https://gis.stackexchange.com/questions/244245/osgeo4w-qgis-2-18-9-grass-i-maxlik-cant-find-signature-on-windows-10-network

A fix is supplied in the form of a patch to the copyFile function in the GRASS i. Processing utils module here:

<QGIS Install Dir>\apps\qgis\python\plugins\processing\algs\grass7\ext\i.py

However the alteration of the path occurs in the getParameterValue function.

History

#1 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-01-21 11:32 AM - Andy Harfoot

This bug has been fixed in QGIS3.

#3 - 2019-01-21 11:58 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

i_py_PathSep.patch 595 Bytes 2018-02-23 Andy Harfoot
